# std::pmr::operator==, std::pmr::operator!=

From cppreference.com
< cpp‎ | memory‎ | memory resource

bool operator==(const std::pmr::memory_resource & a, const std::pmr::memory_resource & b) noexcept; | (1) | (since C++17)
bool operator!=(const std::pmr::memory_resource & a, const std::pmr::memory_resource & b) noexcept; | (2) | (since C++17)

Compares the `memory_resource`s `a` and `b` for equality. Two `memory_resource`s compare equal if and only if memory allocated from one `memory_resource` can be deallocated from the other and vice versa.

### Return value

1) &a == &b || a.is_equal(b)
2) !(a == b)

### See also

is_equal | compare for equality with another `memory_resource` (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/memory/memory_resource/operator_eq&oldid=105307"